{"openapi":"3.0.1","info":{"title":"A2A Service v1","description":"This is the API for A2A microservice.","version":"v1"},"servers":[{"url":"https://devapihub.test-jcc.com.cy/a2ams/api/v1"}],"paths":{"/Banks":{"get":{"tags":["Banks"],"summary":"Retrieve list of available banks","description":"This API can also be used to show the list of available banks to the end-user.\r\n<br /><br />1) Supports AIS, i.e. get list of end-user accounts, get account details\r\n<br /><br />2) Support PIS, payment initiation, future-dated payments\r\n<br /><br />Please note that Revoke of consent is not fully supported by AstroBank, thus the functionality only removes information from JCC servers.","operationId":"Banks_GET_GetBanks                                            ","responses":{"200":{"description":"List of Banks available","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Bank"}}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"}},"security":[{"oauth2":["api.a2a"]}]}},"/Banks/{bankCode}/GetConsent/{userId}":{"get":{"tags":["Banks"],"summary":"Get User Consent","description":"Get User Consent with a specific bank. \r\n            <br /><br />In order to obtain Account Information Services (AIS) you need to obtain the end-users consent for the specific bank.\r\n            In order to give the consent, the API will return a <b>redirect</b> response, which your application must follow in order to present to the end-user\r\n            the web-portal of the chosen bank. At this moment, the end-user is interacting directly with the chosen bank, where they must provide their credentials.\r\n            The Bank will then display a detailed description of what the end-user is agreeing to, and the user will also \r\n            be presented with all the accounts they hold with the chosen bank and the user will be able to select the accounts that they will authorize to be accessible\r\n            from the APIs. Upon completion of the process, the API will return a <b>new redirect</b> response\r\n            back to the redirect-uri that you must provide in the API call parameters (described below).\r\n            <br /><br />This consent is valid for 90 days, and upon expiration a new consent needs to be obtained from the end-user.\r\n            <br /><br />The end-user can also request for the consent they have given to be <b>revoked</b> and thus invalidated. You can perform this action by calling our RevokeConsent API.\r\n            <br /><br />If a consent is already given and active (not expired, not revoked), the user will not be prompted again. \r\n            <div id=\"box-shaded\"><center><b><font color=\"red\">Important reminder!</font></b></center><br /><br />Use the <b>code</b> obtained from <b>Banks</b> API and the <b>ClientUserId</b> that the specific customer/user has with <b>your</b> systems.\r\n                <br /><br /><b></b>Don't forget that, before initiating a request to a JCC-connected bank, you'll first need to get the list of banks that support the features you need to access. A GET /banks call retrieves the list of JCC-connected banks.\r\n                <br /><br /><b>The ClientUserId must be kept the same for all calls to our API's for the same end-user, irrespective of the bank actually used.</b></div><br /><div id=\"box-shaded\"><center><b><font color=\"red\">Important Note!</font></b></center><br /><br />ALPHA Bank's functionality is work in progress (WIP); therefore, the bank <b>ALP</b> is currently deactivated.\r\n            </div>","operationId":"Banks_GET_GetUserConsent                                      ","parameters":[{"name":"bankCode","in":"path","description":"Bank Code retrieved from Banks API","required":true,"schema":{"type":"string"},"example":"BOC"},{"name":"userId","in":"path","description":"End-User Id in <b>your</b> system. This needs to be kept consistent for <b>all calls</b> that you make for the same end-user irrespective of the bank used in the call.","required":true,"schema":{"type":"string"},"example":"user-001"},{"name":"redirecturi","in":"header","description":"Redirection URL to return control to your system\r\n<br />The redirection will add a <i>query parameter <b>code=xxx</b></i> when the consent is successful. \r\nThe code value will be the <i>bank code</i> for which consent was successfully obtained.","schema":{"type":"string"},"example":"https://your.domain.com/redirect"}],"responses":{"200":{"description":"Consent already given and not expired","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}},"302":{"description":"Redirect to Bank Consent Portal"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"}},"security":[{"oauth2":["api.a2a"]}]}},"/Banks/{bankCode}/RevokeConsent/{userId}":{"delete":{"tags":["Banks"],"summary":"Revoke User Consent","description":"Revoke User Consent with a specific bank. \r\n            <br /><br />Once an end-user has given consent for Account Information access, this consent is valid for 90 days. If the end-user wishes to <b>stop</b>\r\n            your application (or JCC) from being able to access their account information, they need to <b>revoke</b> the consent they have given.\r\n            <br /><br />Upon calling our RevokeConsent API, all the necessary codes (tokens) that the Bank has provided when the consent was granted will be removed from JCC servers\r\n            and therefore will be invalidated for future use. Also JCC will call the corresponding API of the chosen Bank to also invalidate the token they have issued.\r\n            <br /><br /><b>Note</b>: This is not true for <b>Astrobank</b>. Astrobank does not provide as of this time an API to invalidate a consent, and therefore the RevokeConsent API will only remove the tokens from JCC servers.\r\n            <br /><br />If there is an active <b>Account Access</b> consent, this will be invalidated and become inactive. A new consent will need to be obtained if the same end-user wishes to get account information with the same bank in the future. \r\n            <div id=\"box-shaded\"><center><b><font color=\"red\">Important reminder!</font></b></center><br /><br />Use the <b>code</b> obtained from <b>Banks</b> API and the <b>ClientUserId</b> that the specific customer/user has with <b>your</b> systems.\r\n                <br /><br /><b></b>Don't forget that, before initiating a request to a JCC-connected bank, you'll first need to get the list of banks that support the features you need to access. A GET /banks call retrieves the list of JCC-connected banks.\r\n                <br /><br /><b>The ClientUserId must be kept the same for all calls to our API's for the same end-user, irrespective of the bank actually used.</b></div><br /><div id=\"box-shaded\"><center><b><font color=\"red\">Important Note!</font></b></center><br /><br />ALPHA Bank's functionality is work in progress (WIP); therefore, the bank <b>ALP</b> is currently deactivated.\r\n            </div>","operationId":"Banks_DELETE_RevokeUserConsent                                ","parameters":[{"name":"bankCode","in":"path","description":"Bank Code retrieved from Banks API","required":true,"schema":{"type":"string"},"example":"BOC"},{"name":"userId","in":"path","description":"End-User Id in <b>your</b> system. This needs to be kept consistent for <b>all calls</b> that you make for the same end-user irrespective of the bank used in the call.","required":true,"schema":{"type":"string"},"example":"user-001"}],"responses":{"200":{"description":"Revoke succesful","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request - Consent not valid"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"}},"security":[{"oauth2":["api.a2a"]}]}},"/Banks/{bankCode}/GetReConsent/{userId}":{"get":{"tags":["Banks"],"summary":"Get User Re-Consent","description":"Get User Re-Consent with a specific bank, even if a consent is already given and active.\r\n            <br /><br />In order to obtain Account Information Services (AIS) you need to obtain the end-users consent for the specific bank.\r\n            <br /><br />This is done by calling the normal <b>GetConsent</b> API. However, since the user may decide at a later time to <b>change</b> the consent given,\r\n            e.g. change the accounts included in the consent, or if the expiration date is approaching and they wish to obtain a <b>new consent</b> in order to <b>extend</b> the duration of the consent,\r\n            you can use the <b>GetReConsent</b> API.\r\n            <br /><br />As with the normal GetConsent API, in order to give the consent, the API will return a <b>redirect</b> response, which your application must follow in order to present to the end-user\r\n            the web-portal of the chosen bank. At this moment, the end-user is interacting directly with the chosen bank, where they must provide their credentials.\r\n            The Bank will then display a detailed description of what the end-user is agreeing to, and the user will also \r\n            be presented with all the accounts they hold with the chosen bank and the user will be able to select the accounts that they will authorize to be accessible\r\n            from the APIs. Upon completion of the process, the API will return a <b>new redirect</b> response\r\n            back to the redirect-uri that you must provide in the API call parameters (described below).\r\n            <br /><br />This consent is valid for 90 days, and upon expiration a new consent needs to be obtained from the end-user.\r\n            <br /><br />The end-user can also request for the consent they have given to be <b>revoked</b> and thus invalidated. You can perform this action by calling our RevokeConsent API.\r\n            <br /><br />In contrast with the normal <b>GetConsent</b> API, the user will <b>always</b> be re-directed to the Bank's portal to give consent for account access, even if such a consent has already been given and is active. \r\n            <div id=\"box-shaded\"><center><b><font color=\"red\">Important reminder!</font></b></center><br /><br />Use the <b>code</b> obtained from <b>Banks</b> API and the <b>ClientUserId</b> that the specific customer/user has with <b>your</b> systems.\r\n                <br /><br /><b></b>Don't forget that, before initiating a request to a JCC-connected bank, you'll first need to get the list of banks that support the features you need to access. A GET /banks call retrieves the list of JCC-connected banks.\r\n                <br /><br /><b>The ClientUserId must be kept the same for all calls to our API's for the same end-user, irrespective of the bank actually used.</b></div><br /><div id=\"box-shaded\"><center><b><font color=\"red\">Important Note!</font></b></center><br /><br />ALPHA Bank's functionality is work in progress (WIP); therefore, the bank <b>ALP</b> is currently deactivated.\r\n            </div>","operationId":"Banks_GET_GetUserReConsent                                    ","parameters":[{"name":"bankCode","in":"path","description":"Bank Code retrieved from Banks API","required":true,"schema":{"type":"string"},"example":"BOC"},{"name":"userId","in":"path","description":"End-User Id in <b>your</b> system. This needs to be kept consistent for <b>all calls</b> that you make for the same end-user irrespective of the bank used in the call.","required":true,"schema":{"type":"string"},"example":"user-001"},{"name":"redirecturi","in":"header","description":"Redirection URL to return control to your system\r\n<br />The redirection will add a <i>query parameter <b>code=xxx</b></i> when the consent is successful. \r\nThe code value will be the <i>bank code</i> for which consent was successfully obtained.","schema":{"type":"string"},"example":"https://your.domain.com/redirect"}],"responses":{"302":{"description":"Redirect to Bank Consent Portal","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"}},"security":[{"oauth2":["api.a2a"]}]}},"/Accounts":{"get":{"tags":["Accounts"],"summary":"Get list of accounts","description":"Get List of Accounts of end-user with a specific bank. \r\n            <br /><br />This API is used to retrieve the list of accounts that the end-user provided their consent for the specific bank.\r\n            <br /><br />If there is an active <b>Account Access</b> consent for the specific bank, a list of accounts for which consent was provided will be returned. \r\n            <br /><br />If no active <b>Account Access</b> consent for the specific bank exists, a <b>Bad Request (400)</b> response will be returned.\r\n            <div id=\"box-shaded\"><center><b><font color=\"red\">Important reminder!</font></b></center><br /><br />Use the <b>code</b> obtained from <b>Banks</b> API and the <b>userId</b> that the specific customer/user has with <b>your</b> systems.\r\n                <br /><br /><b></b>Don't forget that, before initiating a request to a JCC-connected bank, you'll first need to get the list of banks that support the features you need to access. A GET /banks call retrieves the list of JCC-connected banks.\r\n                <br /><br /><b>The userId must be kept the same for all calls to our API's for the same end-user, irrespective of the bank actually used.</b></div><br /><div id=\"box-shaded\"><center><b><font color=\"red\">Important Note!</font></b></center><br /><br />ALPHA Bank's functionality is work in progress (WIP); therefore, the bank <b>ALP</b> is currently deactivated.\r\n            </div>","operationId":"Accounts_GET_GetAccounts                                      ","parameters":[{"name":"bankCode","in":"query","description":"Bank Code retrieved from Banks API","schema":{"type":"string"},"example":"BOC"},{"name":"userId","in":"query","description":"End-User Id in <b>your</b> system. This needs to be kept consistent for <b>all calls</b> that you make for the same end-user irrespective of the bank used in the call.","schema":{"type":"string"},"example":"user-001"}],"responses":{"200":{"description":"List of Accounts","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountList"}}}},"400":{"description":"Bad Request - No Consent"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"}},"security":[{"oauth2":["api.a2a"]}]}},"/Accounts/{accountNumber}":{"get":{"tags":["Accounts"],"summary":"Get details for a specified account","description":"Get Details for an account of End-User with a specific bank. \r\n            <br /><br />If there is an active <b>Account Access</b> consent with the specific bank, and the provided account was included in the list of accounts for which consent was provided, the details of the account will be returned. \r\n            <br /><br />If there is no active <b>Account Access</b> consent with the specific bank, or if the provided account was <b>not</b> included in the list of accounts for which consent was provided, the API will return a <b>Bad Request (400)</b> error response.\r\n            You will need to call the <b>GetConsent</b> (if there is no active consent) or <b>GetReConsent</b> (if there is an active consent but account is not included in the list of accounts) API to obtain a new consent from the end-user.\r\n            <div id=\"box-shaded\"><center><b><font color=\"red\">Important reminder!</font></b></center><br /><br />Use the <b>code</b> obtained from <b>Banks</b> API and the <b>userId</b> that the specific customer/user has with <b>your</b> systems.\r\n                <br /><br /><b></b>Don't forget that, before initiating a request to a JCC-connected bank, you'll first need to get the list of banks that support the features you need to access. A GET /banks call retrieves the list of JCC-connected banks.\r\n                <br /><br /><b>The userId must be kept the same for all calls to our API's for the same end-user, irrespective of the bank actually used.</b></div><br /><div id=\"box-shaded\"><center><b><font color=\"red\">Important Note!</font></b></center><br /><br />ALPHA Bank's functionality is work in progress (WIP); therefore, the bank <b>ALP</b> is currently deactivated.\r\n            </div>","operationId":"Accounts_GET_GetAccountDetails                                ","parameters":[{"name":"bankCode","in":"query","description":"Bank Code retrieved from Banks API","schema":{"type":"string"},"example":"BOC"},{"name":"userId","in":"query","description":"End-User Id in <b>your</b> system. This needs to be kept consistent for <b>all calls</b> that you make for the same end-user irrespective of the bank used in the call.","schema":{"type":"string"},"example":"user-001"},{"name":"accountNumber","in":"path","description":"Account number in the Bank's systems. This should be retrieved from the results of the <b>GetAccounts</b> API response.","required":true,"schema":{"type":"string"},"example":"0001234567"}],"responses":{"200":{"description":"Account Details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountDetails"}}}},"400":{"description":"Bad Request - No Consent"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"}},"security":[{"oauth2":["api.a2a"]}]}},"/Payments/InitiatePayment":{"post":{"tags":["Payments"],"summary":"Initiates a payment (with JCC settlement) and redirects user to Bank Consent Page","description":"Use this API to start the payment initiation process with JCC settlement.\r\n            <br /><br />The process differs depending on the bank selected. Most banks redirect the request\r\n            to the User Consent Portal (UCP) of the bank, so that the user will need to authenticate\r\n            using the credentials they have with the bank, and then see the payment details\r\n            including any charges that will be incurred, and provide their approval for the specific\r\n            payment.\r\n            <br /><br />Our API will then receive the approval from the bank and proceed automatically to the\r\n            submission of the payment for <b>execution</b>. You will not need to call any extra API\r\n            to execute the payment.\r\n            <br /><br /><b>Special notes for <u>ASTROBANK</u></b><br /><br />Astrobank uses a different approach. The bank will receive the payment initiation request\r\n            and will send an OTP via SMS to the customer. You will have to prompt the customer to input the OTP \r\n            they received and call our <b>SubmitOTP</b> API with the OTP entered by the user\r\n            to submit the payment for <b>execution</b>.\r\n            <br /><br />Note that Astrobank <b>requires</b> the <b>Debtor Account Number</b> to be provided and it must be in <b>IBAN</b> format. \r\n            Therefore you need to either call the <b>Accounts</b> API to get a list of accounts available, or you need to ask the end-user to provide it.\r\n            <br /><br />Also, if the account specified in the <b>Debtor Information</b> section of the request body was <i>not included</i> in the accounts \r\n            that the end-user has given consent for <b>Perform Payments</b> at Astrobank's AISP Consent Portal, the payment initiation will fail. \r\n            If this happens, you will have to call the <b>GetConsent</b> (if a there is no active consent) or <b>GetReConsent</b> (if there <b>is</b> an active consent, \r\n            but the account is <b>not</b> included in the list of accounts consented) JCC API in order to redirect the user to Astrobank's Consent Portal, \r\n            and then retry the InitiatePayment call.\r\n            <br /><br /><b>Special notes for <u>HELLENIC BANK</u></b><br /><br />Hellenic Bank <b>does not accept</b> to define the <b>Debtor Account Number</b>. \r\n            The Debtor Account Number is <b>selected by the end-user</b> at the Bank's Payment Confirmation Portal.\r\n            <div id=\"box-shaded\"><center><b><font color=\"red\">Important reminder!</font></b></center><br /><br />Use the <b>code</b> obtained from <b>Banks</b> API and the <b>userId</b> that the specific customer/user has with <b>your</b> systems.\r\n                <br /><br /><b></b>Don't forget that, before initiating a request to a JCC-connected bank, you'll first need to get the list of banks that support the features you need to access. A GET /banks call retrieves the list of JCC-connected banks.\r\n                <br /><br /><b>The userId must be kept the same for all calls to our API's for the same end-user, irrespective of the bank actually used.</b></div><br /><div id=\"box-shaded\"><center><b><font color=\"red\">Important Note!</font></b></center><br /><br />ALPHA Bank's functionality is work in progress (WIP); therefore, the bank <b>ALP</b> is currently deactivated.\r\n            </div><br /><br /><table cellspacing=\"0\" border=\"0\"><colgroup width=\"164\"></colgroup><colgroup width=\"277\"></colgroup><colgroup width=\"89\"></colgroup><colgroup width=\"92\"></colgroup><colgroup width=\"165\"></colgroup><colgroup span=\"6\" width=\"81\"></colgroup><tr><td style=\"border-top: 1px solid #000000; border-bottom: 1px dotted #000000; border-left: 1px solid #000000\" height=\"20\" align=\"left\" valign=\"middle\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px solid #000000; border-bottom: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><b><font color=\"#000000\">EXAMPLE</font></b></td><td style=\"border-top: 1px solid #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><b><font color=\"#000000\">MIN LENGTH</font></b></td><td style=\"border-top: 1px solid #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><b><font color=\"#000000\">MAX LENGTH</font></b></td><td align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><b><font color=\"#000000\">DEFAULT</font></b></td><td style=\"border-top: 1px solid #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><b><font color=\"#000000\">BOC</font></b></td><td style=\"border-top: 1px solid #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><b><font color=\"#000000\">HB</font></b></td><td style=\"border-top: 1px solid #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><b><font color=\"#000000\">ALP</font></b></td><td style=\"border-top: 1px solid #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><b><font color=\"#000000\">ANC</font></b></td><td style=\"border-top: 1px solid #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><b><font color=\"#000000\">CDB</font></b></td><td style=\"border-top: 1px solid #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px solid #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><b><font color=\"#000000\">ASB</font></b></td></tr><tr><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px solid #000000; border-right: 1px solid #000000\" height=\"20\" align=\"left\" valign=\"middle\" bgcolor=\"#E7E6E6\"><font color=\"#000000\">|--  debtor</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"left\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px solid #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td></tr><tr><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px solid #000000; border-right: 1px solid #000000\" height=\"40\" align=\"left\" valign=\"middle\"><b><font color=\"#000000\">|----  Iban</font></b></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"left\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"> CY99001000001234567890123456</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">0</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">35</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">SELECTED ON BANK CONFIRMATION PAGE</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">N/A</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px solid #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">MAN</font></td></tr><tr><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px solid #000000; border-right: 1px solid #000000\" height=\"20\" align=\"left\" valign=\"middle\"><b><font color=\"#000000\">|----  phoneNumber</font></b></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"left\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"> 99123456</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">BLANK</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\" sdnum=\"1033;0;#,##0\"><font color=\"#000000\">N/A</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px solid #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">MAN</font></td></tr><tr><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px solid #000000; border-right: 1px solid #000000\" height=\"20\" align=\"left\" valign=\"middle\" bgcolor=\"#E7E6E6\"><font color=\"#000000\">|--  beneficiary</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"left\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px solid #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td></tr><tr><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px solid #000000; border-right: 1px solid #000000\" height=\"40\" align=\"left\" valign=\"middle\"><b><font color=\"#000000\">|----  outletId</font></b></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"left\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"> 0000000001</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">10</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">10</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px solid #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">MAN</font></td></tr><tr><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px solid #000000; border-right: 1px solid #000000\" height=\"20\" align=\"left\" valign=\"middle\" bgcolor=\"#E7E6E6\"><font color=\"#000000\">|--  amount</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"left\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px solid #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td></tr><tr><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px solid #000000; border-right: 1px solid #000000\" height=\"20\" align=\"left\" valign=\"middle\"><b><font color=\"#000000\">|----  currency</font></b></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"left\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"> EUR</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">3</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">EUR</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px solid #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">MAN</font></td></tr><tr><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px solid #000000; border-right: 1px solid #000000\" height=\"20\" align=\"left\" valign=\"middle\"><b><font color=\"#000000\">|----  amount</font></b></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"left\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"> 1199.99</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"><INVALID></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px solid #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">MAN</font></td></tr><tr><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px solid #000000; border-right: 1px solid #000000\" height=\"20\" align=\"left\" valign=\"middle\" bgcolor=\"#E7E6E6\"><font color=\"#000000\">|--  paymentDetails</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"left\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px solid #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td></tr><tr><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px solid #000000; border-right: 1px solid #000000\" height=\"20\" align=\"left\" valign=\"middle\"><b><font color=\"#000000\">|----  executionDate</font></b></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"left\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"> 2022-01-31</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">TODAY</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px solid #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">OPT</font></td></tr><tr><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px solid #000000; border-right: 1px solid #000000\" height=\"20\" align=\"left\" valign=\"middle\"><b><font color=\"#000000\">|----  endToEndId</font></b></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"left\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"> INV 123/456/789</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">0/1</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">35</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">BLANK</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px solid #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">OPT</font></td></tr><tr><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px solid #000000; border-right: 1px solid #000000\" height=\"20\" align=\"left\" valign=\"middle\" bgcolor=\"#E7E6E6\"><font color=\"#000000\">|----  narrative</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"left\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px solid #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#E7E6E6\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td></tr><tr><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px solid #000000; border-right: 1px solid #000000\" height=\"20\" align=\"left\" valign=\"middle\"><b><font color=\"#000000\">|------  line1</font></b></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"left\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"> Payment of invoice 123</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">1</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">35</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">BLANK</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">MAN</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px solid #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">MAN</font></td></tr><tr><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px solid #000000; border-right: 1px solid #000000\" height=\"20\" align=\"left\" valign=\"middle\"><b><font color=\"#000000\">|------  line2</font></b></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"left\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"> relating to order 456</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">0</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">35</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">BLANK</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px solid #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">OPT</font></td></tr><tr><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px solid #000000; border-right: 1px solid #000000\" height=\"20\" align=\"left\" valign=\"middle\"><b><font color=\"#000000\">|------  line3</font></b></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"left\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"> for consignment 789</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">0</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">35</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">BLANK</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px solid #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">OPT</font></td></tr><tr><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px solid #000000; border-right: 1px solid #000000\" height=\"20\" align=\"left\" valign=\"middle\"><b><font color=\"#000000\">|------  line4</font></b></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"left\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"> of exports department</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">0</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">35</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\">BLANK</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px dotted #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#BFBFBF\"><font color=\"#000000\">OPT</font></td><td style=\"border-top: 1px dotted #000000; border-bottom: 1px dotted #000000; border-left: 1px dotted #000000; border-right: 1px solid #000000\" align=\"center\" valign=\"middle\" bgcolor=\"#D9D9D9\"><font color=\"#000000\">OPT</font></td></tr><tr><td height=\"20\" align=\"left\" valign=\"bottom\"><font color=\"#000000\"></font></td><td align=\"left\" valign=\"bottom\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td align=\"center\" valign=\"middle\" sdnum=\"1033;0;@\"><font color=\"#000000\"><br /></font></td><td align=\"left\" valign=\"bottom\"><font color=\"#000000\"><br /></font></td><td align=\"center\" valign=\"bottom\"><font color=\"#000000\"><br /></font></td><td align=\"center\" valign=\"bottom\"><font color=\"#000000\"><br /></font></td><td align=\"center\" valign=\"bottom\"><font color=\"#000000\"><br /></font></td><td align=\"center\" valign=\"bottom\"><font color=\"#000000\"><br /></font></td><td align=\"center\" valign=\"bottom\"><font color=\"#000000\"><br /></font></td><td align=\"center\" valign=\"bottom\"><font color=\"#000000\"><br /></font></td></tr></table>","operationId":"Payments_POST_InitiatePaymentViaJcc                           ","parameters":[{"name":"bankCode","in":"query","description":"Bank Code retrieved from Banks API","schema":{"type":"string"},"example":"BOC"},{"name":"userId","in":"query","description":"End-User Id in <b>your</b> system. This needs to be kept consistent for <b>all calls</b> that you make for the same end-user irrespective of the bank used in the call.","schema":{"type":"string"},"example":"user-001"},{"name":"redirecturi","in":"header","description":"Redirection URL to return control to your system\r\n<br />The redirection will add a <i>query parameter <b>code=xxx</b></i> when the consent is successful. \r\nThe code value will be the <i>bank code</i> for which consent was successfully obtained.","schema":{"type":"string"},"example":"https://your.domain.com/redirect"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentDataJccTransfer"}},"text/json":{"schema":{"$ref":"#/components/schemas/PaymentDataJccTransfer"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PaymentDataJccTransfer"}}}},"responses":{"302":{"description":"Redirection to Bank Consent Page or to Client Redirect URL with PaymentId","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"}},"security":[{"oauth2":["api.a2a"]}]}},"/Payments/{paymentId}/PaymentDetails":{"get":{"tags":["Payments"],"summary":"Retrieve Payment Details for a payment already initiated","description":"Use this API to get the details of a payment already initiated.\r\n            <br /><br />The details will include the <b>current status</b> of the payment.\r\n            <div id=\"box-shaded\"><center><b><font color=\"red\">Important reminder!</font></b></center><br /><br />Use the <b>code</b> obtained from <b>Banks</b> API and the <b>userId</b> that the specific customer/user has with <b>your</b> systems.\r\n                <br /><br /><b></b>Don't forget that, before initiating a request to a JCC-connected bank, you'll first need to get the list of banks that support the features you need to access. A GET /banks call retrieves the list of JCC-connected banks.\r\n                <br /><br /><b>The userId must be kept the same for all calls to our API's for the same end-user, irrespective of the bank actually used.</b></div><br /><div id=\"box-shaded\"><center><b><font color=\"red\">Important Note!</font></b></center><br /><br />ALPHA Bank's functionality is work in progress (WIP); therefore, the bank <b>ALP</b> is currently deactivated.\r\n            </div>","operationId":"Payments_GET_GetPaymentDetailsFromDb                          ","parameters":[{"name":"paymentId","in":"path","description":"The paymentId of the payment that you want to retrieve the details of. \r\n<br /><br />This must be a valid paymentId returned by our InitiatePayment API.","required":true,"schema":{"type":"string"},"example":"wwwwww-xxx-yyyyyyy-zzzzzzz"}],"responses":{"200":{"description":"Details of payment","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PaymentDetailsDb"}},"application/json":{"schema":{"$ref":"#/components/schemas/PaymentDetailsDb"}},"text/json":{"schema":{"$ref":"#/components/schemas/PaymentDetailsDb"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"}},"security":[{"oauth2":["api.a2a"]}]}},"/Payments/{paymentId}/SubmitOTP":{"get":{"tags":["Payments"],"summary":"Submits the user-entered OTP and submits payment to bank for execution","description":"Use this API to submit the OTP (One-Time-Password) that the end-user has entered in order to confirm the payment and proceed to approval and execution.\r\n            <br /><br />This is only valid to be used with <b>Astrobank</b> as the bank does not redirect the user to an online consent page and instead sends an OTP via SMS to the customer to use for payment approval.\r\n            <div id=\"box-shaded\"><center><b><font color=\"red\">Important reminder!</font></b></center><br /><br />Use the <b>code</b> obtained from <b>Banks</b> API and the <b>userId</b> that the specific customer/user has with <b>your</b> systems.\r\n                <br /><br /><b></b>Don't forget that, before initiating a request to a JCC-connected bank, you'll first need to get the list of banks that support the features you need to access. A GET /banks call retrieves the list of JCC-connected banks.\r\n                <br /><br /><b>The userId must be kept the same for all calls to our API's for the same end-user, irrespective of the bank actually used.</b></div><br /><div id=\"box-shaded\"><center><b><font color=\"red\">Important Note!</font></b></center><br /><br />ALPHA Bank's functionality is work in progress (WIP); therefore, the bank <b>ALP</b> is currently deactivated.\r\n            </div>","operationId":"Payments_GET_SubmitOTP                                        ","parameters":[{"name":"bankCode","in":"query","description":"Bank Code retrieved from Banks API","schema":{"type":"string"},"example":"BOC"},{"name":"userId","in":"query","description":"End-User Id in <b>your</b> system. This needs to be kept consistent for <b>all calls</b> that you make for the same end-user irrespective of the bank used in the call.","schema":{"type":"string"},"example":"user-001"},{"name":"paymentId","in":"path","description":"The paymentId of the payment that you want to retrieve the details of. \r\n<br /><br />This must be a valid paymentId returned by our InitiatePayment API.","required":true,"schema":{"type":"string"},"example":"wwwwww-xxx-yyyyyyy-zzzzzzz"},{"name":"otp","in":"query","description":"The OTP text inputted by the end-user which is sent by the bank directly to the end-user via SMS.","schema":{"type":"string"},"example":"123456"}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"}},"security":[{"oauth2":["api.a2a"]}]}},"/Payments/{paymentId}/CancelPayment":{"delete":{"tags":["Payments"],"summary":"Cancel a payment that has been initiated but not yet approved by the end-user and/or not submitted to Bank for execution","description":"Use this API to cancel a payment that has been initiated, but the customer has not responded with an approval or decline yet.\r\n            <br /><br />If the payment has already been approved, rejected or canceled, the API will return a <i>Bad Request</i> response.\r\n            <div id=\"box-shaded\"><center><b><font color=\"red\">Important reminder!</font></b></center><br /><br />Use the <b>code</b> obtained from <b>Banks</b> API and the <b>userId</b> that the specific customer/user has with <b>your</b> systems.\r\n                <br /><br /><b></b>Don't forget that, before initiating a request to a JCC-connected bank, you'll first need to get the list of banks that support the features you need to access. A GET /banks call retrieves the list of JCC-connected banks.\r\n                <br /><br /><b>The userId must be kept the same for all calls to our API's for the same end-user, irrespective of the bank actually used.</b></div><br /><div id=\"box-shaded\"><center><b><font color=\"red\">Important Note!</font></b></center><br /><br />ALPHA Bank's functionality is work in progress (WIP); therefore, the bank <b>ALP</b> is currently deactivated.\r\n            </div>","operationId":"Payments_DELETE_CancelPayment                                 ","parameters":[{"name":"bankCode","in":"query","description":"Bank Code retrieved from Banks API","schema":{"type":"string"},"example":"BOC"},{"name":"userId","in":"query","description":"End-User Id in <b>your</b> system. This needs to be kept consistent for <b>all calls</b> that you make for the same end-user irrespective of the bank used in the call.","schema":{"type":"string"},"example":"user-001"},{"name":"paymentId","in":"path","description":"The paymentId of the payment that you want to retrieve the details of. \r\n<br /><br />This must be a valid paymentId returned by our InitiatePayment API.","required":true,"schema":{"type":"string"},"example":"wwwwww-xxx-yyyyyyy-zzzzzzz"}],"responses":{"200":{"description":"Details of payment","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"}},"security":[{"oauth2":["api.a2a"]}]}},"/Refunds/InitiateRefund":{"post":{"tags":["Refunds"],"summary":"Initiates a refund of a payment (transfer via JCC) with respect to payment's reference.","operationId":"Refunds_POST_InitiateRefund                                   ","requestBody":{"description":"Refund details:\r\n<br /> PaymentReference - the payment reference given to you as a parameter after the completion of PaymentInititation\r\n<br /> Narrative - the refund's transaction narrative\r\n<br /> RefundAmount - the amount to be refunded. Cannot be greater than payment's amount\r\n<br /> RefundCurrency - the Alpha2 code of the refund's currency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RefundRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/RefundRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/RefundRequest"}}}},"responses":{"201":{"description":"Refund request created and initiated","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/RefundResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/RefundResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/RefundResponse"}}}},"400":{"description":"Bad Request - No Consent"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"}},"security":[{"oauth2":["api.a2a"]}]}},"/Refunds/GetRefundStatus":{"get":{"tags":["Refunds"],"summary":"Returns the refund's status alongside other important information.","operationId":"Refunds_GET_GetRefundStatus                                   ","parameters":[{"name":"refundId","in":"query","description":"The refund's id which is given to you as a result of InitiateRefund","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/RefundStatus"}},"application/json":{"schema":{"$ref":"#/components/schemas/RefundStatus"}},"text/json":{"schema":{"$ref":"#/components/schemas/RefundStatus"}}}},"400":{"description":"Bad Request - No Consent"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"}},"security":[{"oauth2":["api.a2a"]}]}}},"components":{"schemas":{"AccountDetails":{"type":"object","properties":{"accountNumber":{"type":"string","nullable":true},"accountName":{"type":"string","nullable":true},"accountType":{"type":"string","nullable":true},"iban":{"type":"string","nullable":true},"bic":{"type":"string","nullable":true},"currency":{"type":"string","nullable":true},"currentBalance":{"type":"number","format":"double","nullable":true},"availableBalance":{"type":"number","format":"double","nullable":true},"accountId":{"type":"string","nullable":true},"schemeName":{"type":"string","nullable":true},"timeStamp":{"type":"integer","format":"int64"},"bankOriginalData":{"type":"string","nullable":true},"error":{"type":"array","items":{"$ref":"#/components/schemas/ErrorInfo"},"nullable":true}},"additionalProperties":false},"AccountInfo":{"type":"object","properties":{"accountNumber":{"type":"string","nullable":true},"accountName":{"type":"string","nullable":true},"accountType":{"type":"string","nullable":true},"iban":{"type":"string","nullable":true},"currency":{"type":"string","nullable":true},"timeStamp":{"type":"integer","format":"int64"},"currentBalance":{"type":"number","format":"double","nullable":true},"availableBalance":{"type":"number","format":"double","nullable":true},"accountId":{"type":"string","nullable":true},"schemeName":{"type":"string","nullable":true}},"additionalProperties":false},"AccountList":{"type":"object","properties":{"accounts":{"type":"array","items":{"$ref":"#/components/schemas/AccountInfo"},"nullable":true},"error":{"type":"array","items":{"$ref":"#/components/schemas/ErrorInfo"},"nullable":true}},"additionalProperties":false},"AmountSection":{"type":"object","properties":{"currency":{"type":"string","description":"Currency of the Amount to be transfered.\r\n<br /><br />A 3-char ISO currency code must be supplied (e.g. EUR).","nullable":true,"example":"EUR"},"amount":{"type":"number","description":"Amount to be transfered.\r\n<br /><br />A valid numeric value must be supplied, no thousand-separators, decimal point must be a \" . \" (dot).","format":"double","example":1199.99}},"additionalProperties":false},"Bank":{"type":"object","properties":{"code":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"CreditorSectionForJccTransfer":{"type":"object","properties":{"outletId":{"type":"string","description":"Outlet Id to be <b>credited</b>.","nullable":true}},"additionalProperties":false},"DebtorSectionForJccTransfer":{"type":"object","properties":{"iban":{"type":"string","description":"Iban corresponding to the account to be <b>debited</b>.\r\n<br /><br />Some banks require the account to be specified in the IBAN format (e.g. <b>Astrobank</b>)","nullable":true,"example":"CY99001000001234567890123456"},"phoneNumber":{"type":"string","description":"Phone number of account owner\r\n<br /><br />Some banks require a phone number to be declared, which might be used for bank-to-customer direct communication with regards to the specific payment.\r\n<br />The phone is not validated against the bank records, i.e. it does not have to be the same phone as registered in the banks' systems.","nullable":true,"example":"99123456"},"name":{"type":"string","description":"Fullname of debtor","nullable":true,"example":"Jane Doe"}},"additionalProperties":false},"ErrorInfo":{"type":"object","properties":{"code":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true}},"additionalProperties":false},"NarrativeDtSection":{"type":"object","properties":{"line1":{"type":"string","description":"First line of narrative - This is the information displayed on end-user's bank statements as payment description","nullable":true,"example":"Payment of invoice 123"},"line2":{"type":"string","description":"Second line of narrative - Additional description infomration for the payment","nullable":true,"example":"relating to order 456"},"line3":{"type":"string","description":"Third line of narrative - Additional description infomration for the payment","nullable":true,"example":"for consignment 789"},"line4":{"type":"string","description":"Fourth line of narrative - Additional description infomration for the payment","nullable":true,"example":"of exports department"},"allLines":{"type":"string","nullable":true,"readOnly":true}},"additionalProperties":false},"PaymentDataJccTransfer":{"type":"object","properties":{"amount":{"$ref":"#/components/schemas/AmountSection"},"paymentDetails":{"$ref":"#/components/schemas/PaymentDtDetailsSection"},"debtor":{"$ref":"#/components/schemas/DebtorSectionForJccTransfer"},"beneficiary":{"$ref":"#/components/schemas/CreditorSectionForJccTransfer"}},"additionalProperties":false},"PaymentDetailsDb":{"type":"object","properties":{"userId":{"type":"string","nullable":true},"debtorIban":{"type":"string","nullable":true},"paymentReference":{"type":"string","nullable":true},"amount":{"type":"number","format":"double"},"currency":{"type":"string","nullable":true},"executionDate":{"type":"string","format":"date-time"},"paymentStatus":{"type":"string","nullable":true},"settlementStatus":{"type":"string","nullable":true},"error":{"$ref":"#/components/schemas/ErrorInfo"}},"additionalProperties":false},"PaymentDtDetailsSection":{"type":"object","properties":{"executionDate":{"type":"string","description":"Date that the payments is to be executed. If not supplied, it defaults to same-day.","format":"date-time","nullable":true,"example":"2022-01-31"},"endToEndId":{"type":"string","description":"End-to-End Identification.\r\n<br /><br />This property is used to supply any text information that is guaranteed to be included unmodified during the whole process of the payment, from initiation to final processing at the destination bank.","nullable":true,"example":"INV:123/456/789"},"narrative":{"$ref":"#/components/schemas/NarrativeDtSection"}},"additionalProperties":false},"RefundRequest":{"type":"object","properties":{"paymentReference":{"type":"string","nullable":true},"narrativeLine1":{"type":"string","nullable":true},"narrativeLine2":{"type":"string","nullable":true},"narrativeLine3":{"type":"string","nullable":true},"refundAmount":{"type":"number","format":"double"},"refundCurrency":{"type":"string","nullable":true}},"additionalProperties":false},"RefundResponse":{"type":"object","properties":{"error":{"type":"array","items":{"$ref":"#/components/schemas/ErrorInfo"},"nullable":true},"refundId":{"type":"integer","format":"int32"}},"additionalProperties":false},"RefundStatus":{"type":"object","properties":{"paymentReference":{"type":"string","nullable":true},"paymentAmount":{"type":"number","format":"double"},"paymentCurrency":{"type":"string","nullable":true},"refundStatus":{"type":"string","nullable":true},"refundAmount":{"type":"number","format":"double"},"refundCurrency":{"type":"string","nullable":true},"error":{"type":"array","items":{"$ref":"#/components/schemas/ErrorInfo"},"nullable":true}},"additionalProperties":false}},"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://devidentity.test-jcc.com.cy/connect/token","scopes":{"api.a2a":"A2A Service api"}}}}}}}